package csc.jms.cluster.ejb;

import javax.ejb.ActivationConfigProperty;
import javax.ejb.MessageDriven;
import javax.jms.JMSException;
import javax.jms.Message;
import javax.jms.MessageListener;

import org.jboss.ejb3.annotation.ResourceAdapter;

@MessageDriven(activationConfig = {
		@ActivationConfigProperty(propertyName = "destinationType", propertyValue = "javax.jms.Queue"),
		@ActivationConfigProperty(propertyName = "destination", propertyValue = "queue/sampleQueue"),
		@ActivationConfigProperty(propertyName = "acknowledgeMode", propertyValue = "Auto-acknowledge"),
		@ActivationConfigProperty(propertyName = "ConnectorClassName", propertyValue = "org.hornetq.integration.transports.netty.NettyConnectorFactory"),
		@ActivationConfigProperty(propertyName = "ConnectionParameters", propertyValue = "host=172.18.10.229;port=5445") })
@ResourceAdapter("hornetq-ra.rar")

public class MDB1 implements MessageListener {

	/**
	 * Creates a new transacted listener consumer.
	 */
	public MDB1() {
	}

	public void onMessage(Message message) {
		System.out.println("consumed by mdb 1");
	}

}